# Neki dodatni filteri: Min, Max, Median
from PIL import Image 
from PIL import ImageFilter 
    
PATH = "/home/cugur/Downloads/matf/dozs/2024/week3/data/strawberry.jpg"

with Image.open(PATH) as img:

    img.load()
    img.show()
    print("Koristimo sliku jagode dimenzija:", img.size)

    img1 = img.filter(ImageFilter.MinFilter(3))
    # img1.show() 
    # Zakljucak: kako biramo najmanje vrednosti iz box-ova pixela, to su promene najuocljivije na delovima gde imamo 
    # i svetle i tamnije detalje slike: npr. listovi gde imamo bele tanke linije 

    img2 = img.filter(ImageFilter.MaxFilter(3))
    # img2.show()

    # Median filter - "nesto izmedju"
    img3 = img.filter(ImageFilter.MedianFilter(3))
    img3.show()
    # Analiza: obratiti paznju na listove biljke i bele tanke biljne dlacice na njima 

    img4 = img.filter(ImageFilter.MedianFilter(5))
    img4.show()
    # Prosek na podmatricama vece dimenzije!